Subject: bug#12411: 24.2.50; No `make help' target?

From: Eli Zaretskii <[email-masked]>
Date: Wed, 21 Aug 2019 19:57:08 +0300

> From: Stefan Kangas <[email-masked]>
> Date: Wed, 21 Aug 2019 01:09:32 +0200
> Cc: [email-masked], Bastien <[email-masked]>
> 
> I'm not a Makefile expert, so I couldn't find a way to skip the
> configure step and immediately echo.

There's GNUmakefile which could be used for that purpose.

> +	@echo "make clean            -- delete files from build"
> +	@echo "make mostlyclean      -- delete most files from build"
> +	@echo "make distclean        -- delete files from build and configure"
> +	@echo "make maintainer-clean -- delete almost everything that can be regenerated"

It would be good to have these 4 more descriptive.  The above
basically just repeats the target names, which is not very helpful.

> +	@echo "make bootstrap        -- delete all files and force a new bootstrap"

"Delete all files" sounds scary, and is also incorrect.

> +	@echo "make uninstall        -- delete all installed files"

I'd say "remove files installed by 'make install'"

> +	@echo "make docs             -- generate Emacs documentation"
> +	@echo "make html             -- generate html documentation"
> +	@echo "make ps               -- generate ps documentation"
> +	@echo "make pdf              -- generate pdf documentation"

The description of "make docs" should tell which formats it produces,
otherwise its relation to the 3 other docs-related targets is not
clear.

Thanks.